Loading...
Searching...
No Matches
ranges::views::transform_base_fn Struct Reference
Inheritance diagram for ranges::views::transform_base_fn:

## Public Member Functions

template<typename Rng , typename Fun > requires transformable_range<Rng, Fun>
constexpr transform_view< all_t< Rng >, Fun > | operator() (Rng &&rng, Fun fun) const
template<typename Rng1 , typename Rng2 , typename Fun > requires transformable_ranges<Rng1, Rng2, Fun>
constexpr transform2_view< all_t< Rng1 >, all_t< Rng2 >, Fun > | operator() (Rng1 &&rng1, Rng2 &&rng2, Fun fun) const